# Installation
> `npm install --save @types/connect-redis`

# Summary
This package contains type definitions for connect-redis (https://npmjs.com/package/connect-redis).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/connect-redis.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/connect-redis/index.d.ts)
````ts
/// <reference types="express" />
/// <reference types="express-session" />
/// <reference types="redis" />

declare module "connect-redis" {
    import * as express from "express";
    import * as session from "express-session";
    import * as ioRedis from "ioredis";
    import * as redis from "redis";

    function s(options: (options?: session.SessionOptions) => express.RequestHandler): s.RedisStore;

    namespace s {
        type Client = redis.RedisClient | ioRedis.Redis | ioRedis.Cluster;
        interface RedisStore extends session.Store {
            new(options: RedisStoreOptions): RedisStore;
            client: Client;
        }
        interface RedisStoreOptions {
            client?: Client | undefined;
            host?: string | undefined;
            port?: number | undefined;
            socket?: string | undefined;
            url?: string | undefined;
            ttl?: number | string | ((store: RedisStore, sess: session.SessionData, sid: string) => number) | undefined;
            disableTTL?: boolean | undefined;
            disableTouch?: boolean | undefined;
            db?: number | undefined;
            pass?: string | undefined;
            prefix?: string | undefined;
            unref?: boolean | undefined;
            serializer?: Serializer | JSON | undefined;
            logErrors?: boolean | ((error: string) => void) | undefined;
            scanCount?: number | undefined;
        }
        interface Serializer {
            stringify: Function;
            parse: Function;
        }
    }

    export = s;
}

````

### Additional Details
 * Last updated: Mon, 06 Nov 2023 22:41:05 GMT
 * Dependencies: [@types/express](https://npmjs.com/package/@types/express), [@types/express-session](https://npmjs.com/package/@types/express-session), [@types/node](https://npmjs.com/package/@types/node), [@types/redis](https://npmjs.com/package/@types/redis), [ioredis](https://npmjs.com/package/ioredis)

# Credits
These definitions were written by [Xavier Stouder](https://github.com/xstoudi), [Seth Butler](https://github.com/sbutler2901), and [Jip Sterk](https://github.com/JipSterk).
